/*********************************************************/
//	NkILSampleThumbInfoPage.h
//		Header file for PropertyPage class of Thumbnail info.
//
//	Copyright(c) 2007, Nikon Corporation - All rights reserved.
/*********************************************************/
#pragma once

#include "resource.h"
#include "NkILSampleDoc.h"
#define		MAX_THUMB_NUM	4
class CNkILSampleThumbInfoPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CNkILSampleThumbInfoPage)

public:
	CNkILSampleThumbInfoPage(CWnd* pParent = NULL);  
	virtual ~CNkILSampleThumbInfoPage();

// dialog data
	enum { IDD = IDD_PROPPAGE_THUMBINFO };

	void	SetInfomation( VECTTHUMBINFO vecThumbInfo );
protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

	unsigned long	m_ulThumbCnt;

	CString			m_strThumbSizeBit[MAX_THUMB_NUM];
	CString			m_strThumbColor[MAX_THUMB_NUM];
	CString			m_strThumbAngle[MAX_THUMB_NUM];
	
};
